org.apache.hadoop.metrics2.lib

## Enum DefaultMetricsSystem

- java.lang.Object
- - java.lang.Enum<DefaultMetricsSystem>
  - - org.apache.hadoop.metrics2.lib.DefaultMetricsSystem

- All Implemented Interfaces:
    Serializable, Comparable<DefaultMetricsSystem>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public enum DefaultMetricsSystem
      extends Enum<DefaultMetricsSystem>

  The default metrics system singleton. This class is used by all the daemon processes(such as NameNode, DataNode, JobTracker etc.). During daemon process initialization the processes call `init(String)` to initialize the `MetricsSystem`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetricsSystem` | `initialize(String prefix)` Convenience method to initialize the metrics system
    `static boolean` | `inMiniClusterMode()`
    `static MetricsSystem` | `instance()`
    `static void` | `setMiniClusterMode(boolean choice)`
    `static void` | `shutdown()` Shutdown the metrics system
    `static DefaultMetricsSystem` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DefaultMetricsSystem[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final DefaultMetricsSystem INSTANCE

  - ### Method Detail

    - #### values

          public static DefaultMetricsSystem[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultMetricsSystem c : DefaultMetricsSystem.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultMetricsSystem valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### initialize

          public static MetricsSystem initialize(String prefix)

      Convenience method to initialize the metrics system
      Parameters:
        `prefix` - for the metrics system configuration
      Returns:
        the metrics system instance

    - #### instance

          public static MetricsSystem instance()

      Returns:
        the metrics system object

    - #### shutdown

          public static void shutdown()

      Shutdown the metrics system

    - #### setMiniClusterMode

          public static void setMiniClusterMode(boolean choice)

    - #### inMiniClusterMode

          public static boolean inMiniClusterMode()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.